<template>
	<main>
		<search-bar :term="term" class="b-gap-3" />

		<template v-if="!isLoading">
			<template v-for="(event, index) in searchResults">
				<event-preview-card :event="event" :key="index" />
			</template>
		</template>

		<loader v-else />
	</main>

</template>

<script>
import SearchBar from "@/components/SearchBar";
import EventPreviewCard from "@/components/EventPreviewCard";
import Loader from "@/components/Loader";

export default {
	name: "SearchEvents",
	components: {
		Loader,
		SearchBar,
		EventPreviewCard
	},
	props: {
		term: String
	},
	data: () => ({
		isLoading: false,
		searchResults: {}
	}),
	methods: {
		async commitSearch() {
			try {
				this.isLoading = true;
				const response = await this.$http.get("/api/events/search/" + this.term);
				this.searchResults = response.data;
				this.isLoading = false;
			} catch (e) {
				console.error(e);
			}
		}
	},
	mounted() {
		this.commitSearch();
	}
}
</script>

<style scoped>

</style>